#!/usr/local/bin/perl -w

use strict;
use warnings;

use POSIX qw(locale_h strftime);

while (my $filename = <>) {
chomp($filename);

if (length($filename) &&
    $filename !~ m/webstat(\-ssl)?/ &&
    $filename !~ m#/statistics/webstat(\-ssl)?/# &&
    $filename !~ m#/statistics/ftpstat/# &&
    $filename !~ m#/statistics/logs# &&
    $filename !~ m#/templates_c$# &&
    $filename !~ m#/statistics/(anon_)?ftpstat# &&
    ! (-d $filename)
   ) {
   use File::stat;
   my $sb = stat($filename);
   print "\t",'<file>',"\n";
   print "\t\t", "<name>",$filename,"</name>\n";
   print "\t\t", "<mtime>",strftime ("%a %b %e %H:%M:%S %Y", localtime $sb->mtime),"</mtime>\n";
   print "\t\t", "<owner>",(getpwuid($sb->uid))[0],"</owner>\n";
   print "\t\t", "<group>",(getgrgid($sb->gid))[0],"</group>\n";
   print "\t\t", "<size>",$sb->size,"</size>\n";
   print "\t\t", "<mode>",sprintf("%04o",$sb->mode & 07777),"</mode>\n";
  
   print "\t",'</file>',"\n";
}
}

1;